# Introduction

> First off, thank you for considering contributing to Hugo-Tufte!


# Ground Rules

- Respect the [Code of conduct]()
- ***If you just have a question use this [Discussion](https://github.com/slashformotion/hugo-tufte/discussions).***


# How to report a bug

### Tell your contributors how to file a bug report.
You can even include a template so people can just copy-paste (again, less work for you).

When filing an issue, make sure to answer these five questions:

1. What version of Go are you using (`$ hugo version`)?
2. What operating system and processor architecture are you using?
3. What did you do?
4. What did you expect to see?
5. What did you see instead?


# How to suggest a feature or enhancement

If you find yourself wishing for a feature that doesn't exist in hugo-tufte, you are probably not alone. There are bound to be others out there with similar needs. Open an issue on our issues list on GitHub which describes the feature you would like to see, why you need it, and how it should work.

# Your First Contribution

<center>

![](https://media.giphy.com/media/3oEduFYRfaeS6KViN2/giphy.gif)

</center>

Learn how pull request works here: 
- https://makeapullrequest.com
- http://www.firsttimersonly.com/

> Working on your first Pull Request? You can learn how from this *free* series, [How to Contribute to an Open Source Project on GitHub](https://egghead.io/series/how-to-contribute-to-an-open-source-project-on-github).



>At this point, you're ready to make your changes! Feel free to ask for help [here](https://github.com/slashformotion/hugo-tufte/discussions); everyone is a beginner at first :smile_cat:
>
>If a maintainer **(me)** asks you to "rebase" your PR, they're saying that a lot of code has changed, and that you need to update your branch so it's easier to merge.

# Getting started to contribute with code

1. Create your own fork of the code
2. Do the changes in your fork
3. If you like the change and think the project could use it:
    * Be sure that you didn't break anything. 

<center>

![](https://media.giphy.com/media/3o7btNa0RUYa5E7iiQ/giphy-downsized.gif)

</center>


# Community

You can chat with me [here](https://github.com/slashformotion/hugo-tufte/discussions).
